# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.79"
name = "ast-grep-dynamic"
version = "0.40.5"
authors = ["Herrington Darkholme <2883231+HerringtonDarkholme@users.noreply.github.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Load tree-sitter dynamic library for ast-grep"
readme = false
keywords = [
    "ast",
    "pattern",
    "codemod",
    "search",
    "rewrite",
]
license = "MIT"
repository = "https://github.com/ast-grep/ast-grep"

[lib]
name = "ast_grep_dynamic"
path = "src/lib.rs"

[dependencies.ast-grep-core]
version = "0.40.5"
features = ["tree-sitter"]
default-features = false

[dependencies.ignore]
version = "0.4.22"

[dependencies.libloading]
version = "0.9.0"

[dependencies.serde]
version = "1.0.200"
features = ["derive"]

[dependencies.target-triple]
version = "1.0.0"

[dependencies.thiserror]
version = "2.0.0"

[dependencies.tree-sitter]
version = "0.26.3"

[dev-dependencies.serde_yaml]
version = "0.9.33"
